View Issue Details

IDProjectCategoryView StatusLast Update
0006603Talerexchangepublic2020-10-03 14:02
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityurgentSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006603: src/auditor tests fail or hang
DescriptionAt least on my system. Seems one test gets an empty set back from a SELECT and then fails to modify the DB.
Not sure why test-revocation.sh hangs.
TagsNo tags attached.

Activities

Florian Dold

2020-09-12 12:41

manager   ~0016967

It works on my machine. For taler-internal@gv, I had to increase the timeout for starting the bank (it's very slow!). But now both test cases in src/auditor also pass there!

Are you sure this isn't either stale state in your repo or an outdated wallet version in your $PATH?

(Before testing, I did a "git clean -fdx" in the exchange repo.)

Christian Grothoff

2020-10-03 12:34

manager   ~0016995

My python bank was outdated. Alas, with the latest python bank, the scripts and configuration files needed minor adjustments, too. That is now fixed in Git master.

Issue History

Date Modified Username Field Change
2020-09-11 22:58 Christian Grothoff New Issue
2020-09-11 22:58 Christian Grothoff Status new => assigned
2020-09-11 22:58 Christian Grothoff Assigned To => Florian Dold
2020-09-12 12:41 Florian Dold Assigned To Florian Dold => Christian Grothoff
2020-09-12 12:41 Florian Dold Status assigned => feedback
2020-09-12 12:41 Florian Dold Note Added: 0016967
2020-10-03 12:34 Christian Grothoff Note Added: 0016995
2020-10-03 14:02 Christian Grothoff Status feedback => resolved
2020-10-03 14:02 Christian Grothoff Resolution open => fixed
2020-10-03 14:02 Christian Grothoff Fixed in Version => 0.8